Bug 148620 - Crash in Draw and Impress when using Format > Lists > Move Down
Summary: Crash in Draw and Impress when using Format > Lists > Move Down
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
7.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.3.3 target:7.2.7
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: Crash
  Show dependency treegraph
 
Reported: 2022-04-16 00:58 UTC by sdc.blanco
Modified: 2022-05-02 15:43 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
test file for making Draw crash (12.14 KB, application/vnd.oasis.opendocument.graphics)
2022-04-16 00:58 UTC, sdc.blanco
Details
BT with symbols (12.38 KB, text/plain)
2022-04-16 02:04 UTC, Telesto
Details
gdb bt (8.64 KB, text/plain)
2022-04-17 10:34 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2022-04-16 00:58:12 UTC
Created attachment 179601 [details]
test file for making Draw crash

First crash occurred in a textbox with a six item ordered list and using Format > Lists > Move Up (and Move Down).

For subsequent crashes, I made a keyboard shortcuts to "Move Chapter Down" and "Move Chapter Up" (see bug 144493 if you want to know why they have those names in Customize).  I mention this because it makes testing easier.

STR.

1. Open attached draw document (or make your own list in a textbox).
2. Place cursor in a list item.
3. Press "down" shortcut key several times (rapidly may help).

It crashes reasonably quickly.  

STR 2

1. In attachment, select 4 lines of the list in the textbox.
2. Format > Lists > Move Down  (or use your shortcut key)

Crash.

Also reproduced using Safe Mode.

Have not tried to explore other possibilities, but Up may also produce crashes.

Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: d34d1db55978bdcff082af1e0f75b18fa6fc94f4
CPU threads: 8; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: da-DK (da_DK); UI: en-US
Calc: CL
Comment 1 Telesto 2022-04-16 02:04:27 UTC
Created attachment 179602 [details]
BT with symbols

Confirm
Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: fbf739198aa7f02975d531521c6525073783c7f1
CPU threads: 8; OS: Mac OS X 12.2.1; UI render: Skia/Metal; VCL: osx
Locale: nl-NL (nl_NL.UTF-8); UI: en-US
Calc: threaded
Comment 2 sdc.blanco 2022-04-16 07:09:12 UTC
Here is another STR -- now with IMPRESS

1. Make a textbox.
2. Put four or five lines of text (single word is enough).
3. Use Outline toolbar (because it has Move Up and Move Down).
4. Select two lines and Move Up (or Down)

Crash
Comment 3 Telesto 2022-04-16 08:17:10 UTC
Also Found in 
7.2

Fine with 
Version: 7.1.0.0.beta1+ (x64)
Build ID: f9fab4203c1aa0b9a3f27ce2713b6d5addc7df19
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 4 sdc.blanco 2022-04-16 11:33:15 UTC
FTR -- do not need to use ordered lists.

1. In Draw textbox, put 4 lines of text.
2. Select two lines (e.g., first two).
3. Format > Lists > Move Down

Crash.
Comment 5 Julien Nabet 2022-04-17 10:34:48 UTC
Created attachment 179624 [details]
gdb bt

On pc Debian x86-64 with master sources updated today, I gave a try at https://bugs.documentfoundation.org/show_bug.cgi?id=148620#c4 and reproduced the crash.
I retrieved the bt and some interesting console logs.
Comment 6 raal 2022-04-18 08:25:05 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin ; Could you possibly take a look at this one?
Thanks
 902445f5c06ce191d4b8e1f8601255eea95c7c6f is the first bad commit
commit 902445f5c06ce191d4b8e1f8601255eea95c7c6f
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Tue May 4 15:12:43 2021 +0200

    source sha:35f03f26799747894d1534796b6cb227bd4f233b

https://git.libreoffice.org/core/+/35f03f26799747894d1534796b6cb227bd4f233b
  speed up loading large ODS a little
Comment 7 Commit Notification 2022-04-18 16:21:38 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/383b55a38da0d92b4499f38b4d7f5ff036e0072f

tdf#148620 Crash in Draw using Format > Lists > Move Down

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-04-19 10:29:21 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/79b584af649c9499b1b4606803ee50595e2da33d

tdf#148620 Crash in Draw using Format > Lists > Move Down

It will be available in 7.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 sdc.blanco 2022-04-19 11:00:47 UTC
Verified with:

Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: f8e11c6480ff0005715b989a6d4e2e10a3816cf6
CPU threads: 8; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: da-DK (da_DK); UI: en-US
Calc: CL

Thanks Noel....makes it easier now to test this command.
Comment 10 Commit Notification 2022-04-19 20:15:07 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e9dbbf0f184e4f742d5f0e1a6bc9adcd9d765739

tdf#148620: sd: add UItest

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2022-04-22 20:44:35 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/5a55e11df328634547cd091933f8228b834a6f25

tdf#148620: sd: add UItest

It will be available in 7.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2022-04-25 15:46:02 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/697d7b8bf50bdbf097c45f5d7974a27a14e1dd9e

tdf#148620 Crash in Draw using Format > Lists > Move Down

It will be available in 7.2.8.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Xisco Faulí 2022-04-26 07:44:57 UTC
Also verified in

Version: 7.2.8.0.0+ / LibreOffice Community
Build ID: 697d7b8bf50bdbf097c45f5d7974a27a14e1dd9e
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 14 Commit Notification 2022-04-27 10:27:26 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3-3":

https://git.libreoffice.org/core/commit/028df0c060c8be5a63908f7bedcc546ec3df4b9f

tdf#148620 Crash in Draw using Format > Lists > Move Down

It will be available in 7.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Julien Nabet 2022-04-27 11:34:15 UTC
Let's simplify a bit targets.
Comment 16 Commit Notification 2022-05-02 09:31:32 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-2-7":

https://git.libreoffice.org/core/commit/0a312357e50de2a868effeb436b339258cbd0d58

tdf#148620 Crash in Draw using Format > Lists > Move Down

It will be available in 7.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Julien Nabet 2022-05-02 15:43:00 UTC
Simplify targets a bit.